ElementValuePairGen (Apache Commons BCEL 6.4.1 API)

org.apache.bcel.generic

## Class ElementValuePairGen

- java.lang.Object
- - org.apache.bcel.generic.ElementValuePairGen

-     public class ElementValuePairGen
      extends Object

  Since:
    6.0

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ElementValuePairGen(ElementValuePair nvp, ConstantPoolGen cpool, boolean copyPoolEntries)`
    `protected` | `ElementValuePairGen(int idx, ElementValueGen value, ConstantPoolGen cpool)`
    `` | `ElementValuePairGen(String name, ElementValueGen value, ConstantPoolGen cpool)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dump(DataOutputStream dos)`
    `ElementValuePair` | `getElementNameValuePair()` Retrieve an immutable version of this ElementNameValuePairGen
    `int` | `getNameIndex()`
    `String` | `getNameString()`
    `ElementValueGen` | `getValue()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementValuePairGen

          public ElementValuePairGen(ElementValuePair nvp,
                                     ConstantPoolGen cpool,
                                     boolean copyPoolEntries)

    - #### ElementValuePairGen

          protected ElementValuePairGen(int idx,
                                        ElementValueGen value,
                                        ConstantPoolGen cpool)

    - #### ElementValuePairGen

          public ElementValuePairGen(String name,
                                     ElementValueGen value,
                                     ConstantPoolGen cpool)

  - ### Method Detail

    - #### getElementNameValuePair

          public ElementValuePair getElementNameValuePair()

      Retrieve an immutable version of this ElementNameValuePairGen

    - #### dump

          protected void dump(DataOutputStream dos)
                       throws IOException

      Throws:
        `IOException`

    - #### getNameIndex

          public int getNameIndex()

    - #### getNameString

          public final String getNameString()

    - #### getValue

          public final ElementValueGen getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.